reflex::Pattern::Position Struct Reference

|  | reflex::Pattern::Position Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
reflex::Pattern::Position Struct Reference

Finite state machine construction position information. More...

## Public Types
typedef uint64_t | value_type

## Public Member Functions
| Position ()
| Position (value_type k)
| Position (const Position &p)
Position & | operator= (const Position &p)
| operator value_type () const
Position | iter (Iter i) const
Position | negate (bool b) const
Position | ticked (bool b) const
Position | anchor (bool b) const
Position | accept (bool b) const
Position | lazy (Lazy l) const
Position | pos () const
Location | loc () const
Accept | accepts () const
Iter | iter () const
bool | negate () const
bool | ticked () const
bool | anchor () const
bool | accept () const
Lazy | lazy () const

## Public Attributes
value_type | k

## Static Public Attributes
static const Iter | MAXITER = 0xffff
static const Location | MAXLOC = 0xffffffffUL
static const value_type | NPOS = 0xffffffffffffffffULL
static const value_type | RES1 = 1ULL << 48
| reserved More...
static const value_type | RES2 = 1ULL << 49
| reserved More...
static const value_type | RES3 = 1ULL << 50
| reserved More...
static const value_type | NEGATE = 1ULL << 51
| marks negative patterns More...
static const value_type | TICKED = 1ULL << 52
| marks lookahead ending ) in (?=X) More...
static const value_type | RES4 = 1ULL << 53
| reserved More...
static const value_type | ANCHOR = 1ULL << 54
| marks begin of word (,<,>) and buffer (,^) anchors More...
static const value_type | ACCEPT = 1ULL << 55
| accept, not a regex position More...

## Detailed Description

Finite state machine construction position information.

## Member Typedef Documentation

typedef uint64_t reflex::Pattern::Position::value_type

## Constructor & Destructor Documentation

reflex::Pattern::Position::Position | ( |  | ) |
| inline

reflex::Pattern::Position::Position | ( | value_type | k | ) |
| inline

reflex::Pattern::Position::Position | ( | const Position & | p | ) |
| inline

## Member Function Documentation

Position reflex::Pattern::Position::accept | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::accept | ( |  | ) | const
| inline

Accept reflex::Pattern::Position::accepts | ( |  | ) | const
| inline

Position reflex::Pattern::Position::anchor | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::anchor | ( |  | ) | const
| inline

Position reflex::Pattern::Position::iter | ( | Iter | i | ) | const
| inline

Iter reflex::Pattern::Position::iter | ( |  | ) | const
| inline

Position reflex::Pattern::Position::lazy | ( | Lazy | l | ) | const
| inline

Lazy reflex::Pattern::Position::lazy | ( |  | ) | const
| inline

Location reflex::Pattern::Position::loc | ( |  | ) | const
| inline

Position reflex::Pattern::Position::negate | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::negate | ( |  | ) | const
| inline

reflex::Pattern::Position::operator value_type | ( |  | ) | const
| inline

Position& reflex::Pattern::Position::operator= | ( | const Position & | p | ) |
| inline

Position reflex::Pattern::Position::pos | ( |  | ) | const
| inline

Position reflex::Pattern::Position::ticked | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::ticked | ( |  | ) | const
| inline

## Member Data Documentation

const value_type reflex::Pattern::Position::ACCEPT = 1ULL << 55
| static

accept, not a regex position

const value_type reflex::Pattern::Position::ANCHOR = 1ULL << 54
| static

marks begin of word (,<,>) and buffer (,^) anchors

value_type reflex::Pattern::Position::k

const Iter reflex::Pattern::Position::MAXITER = 0xffff
| static

const Location reflex::Pattern::Position::MAXLOC = 0xffffffffUL
| static

const value_type reflex::Pattern::Position::NEGATE = 1ULL << 51
| static

marks negative patterns

const value_type reflex::Pattern::Position::NPOS = 0xffffffffffffffffULL
| static

const value_type reflex::Pattern::Position::RES1 = 1ULL << 48
| static

reserved

const value_type reflex::Pattern::Position::RES2 = 1ULL << 49
| static

reserved

const value_type reflex::Pattern::Position::RES3 = 1ULL << 50
| static

reserved

const value_type reflex::Pattern::Position::RES4 = 1ULL << 53
| static

reserved

const value_type reflex::Pattern::Position::TICKED = 1ULL << 52
| static

marks lookahead ending ) in (?=X)

The documentation for this struct was generated from the following file:

- pattern.h